Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008919 [DCSS] Bug Report major always 2014-09-03 11:47 2016-09-19 16:50
Reporter johnnyzero View Status public  
Assigned To Lasty
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008919: "Re-do previous command" repeats macros in addition to the last command
Description The key for repeating a command, listed as
` : re-do previous command
in the in-game help, includes previously entered macros in addition to the last entered command.

For example: I finish autoexploring down a hallway and see some monster that needs to be dealt with. I press 'f' and then '.' to fire a missile at a monster without firing through. If I then press '`', I can quickly repeat this firing behavior. Even if I enter a command such as 's' before firing, only the actual firing command is repeated.

However, when macros are used immediately before the last command, all of the macros are repeated before issuing the last command when using '`'. For example, while worshiping Sif Muna, I confuse a monster and try to replenish my MP before firing as in the previous example. I have a macro mapped to "aa" on key '1', and use it to recharge my MP to full (taking, oh, five uses of the macro). I then fire a ranged missile using 'f' and '.', then hit '`' to repeat the command. Instead of simply firing another missing, the '1' macro is hit another five times (without any sort of prompt), followed by finally firing the missile.

This is behavior is unexpected and is quite capable of killing the player. If I instead pressed "aa" five times in succession, fired my launcher with 'f', '.', then pressed '`', firing the missile would be the only command repeated.

As an additional test, I bound a macro, "s", to key '2' and tried the previous scenario once more. The same do macros again in addition to the last command behavior was exhibited.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027174)
Lasty (developer)
2014-09-07 20:29

This bug just killed me. I have spacebar macro'd to "za\{13}" to cast low-level conjurations. I shot a jelly twice with this, and then when it closed in, fired a wand of flame at it. I wanted to shoot it twice more with the wand of flame, so I hit "repeat previous action" twice and was dead. Each press caused the macro to repeat casting Sting twice before using the wand of flame, causing me to take 6 actions instead of the expected 2.
(0027637)
Lasty (developer)
2014-11-04 04:59

I believe this is fixed, but there's a fair amount of uncertainty about whether the fix might cause any issues.

- Issue History
Date Modified Username Field Change
2014-09-03 11:47 johnnyzero New Issue
2014-09-07 20:29 Lasty Note Added: 0027174
2014-11-04 04:59 Lasty Status new => assigned
2014-11-04 04:59 Lasty Assigned To => Lasty
2014-11-04 04:59 Lasty Note Added: 0027637
2014-11-04 04:59 Lasty Status assigned => resolved
2014-11-04 04:59 Lasty Fixed in Branch => 0.16 development branch
2014-11-04 04:59 Lasty Resolution open => done
2016-09-19 16:50 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker